@import './theme.css';

article, editable-article {
    & h1 {
        text-align: center;
        text-transform: uppercase;
        margin-block-start: 0;
        margin-block-end: 0;
        font-size: 3rem;
        line-height: 1;
        font-weight: 700;
        font-size: 3rem;
        line-height: 2.5rem;
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
        overflow: hidden;
    }

    & h1,h2,h3,h4,h5,a {
        font-family: var(--font-heading);
    }
    & p, blockquote, li {
        font-family: var(--font-body);
    }

    
    & nav {
        border-top: solid 1px;
        border-bottom: solid 1px;
        border-color: var(--color-text-bold);
        padding-top: 0.2rem;
        color: inherit;
        display: flex;
        justify-content: center;
        gap: 1rem;
    
    
        & a {
            display: flex;
            gap: 0.25rem;
            align-items: center;
        }
    }
    
    & * {
        color: var(--color-text-bold);
    }
    
    & p {
        margin-bottom: 12px;
    
        //? Preserves whitespace for empty <p>:
        &:empty:after {
            content: '\00a0';
        }
    }
    
    /* & h2 {
        font-size: x-large;
    } */
    
    & section {
        //?  class="mb-8"
        margin-bottom: 12px;
    }
    
    & ul,ol {
        margin-top: 20px;
    }
    
    & img {
        max-width: 100%;
        height: auto;
    }

    & code {
        background-color: var(--color-bg-code);
        padding: 0.25em 0.5em;
    }
}